Setup First Admin
POST
/auth/setup
const url = 'https://example.com/auth/setup';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"display_name":"example","email":"hello@example.com","password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/auth/setup \ --header 'Content-Type: application/json' \ --data '{ "display_name": "example", "email": "hello@example.com", "password": "example" }'Create the first admin. Only available while no users exist (wizard step 1).
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
UserOut
object
Example generated
{ "created_at": "2026-04-15T12:00:00Z", "display_name": "example", "email": "example", "has_oidc": true, "has_password": true, "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "oidc_issuer": "example", "role": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}